
//////////////////////////////////////////////////
//  Oracle Data Access Components
//  Copyright  1998-2024 Devart. All right reserved.
//  OraSQL Editor
//////////////////////////////////////////////////

{$IFNDEF CLR}

{$I Odac.inc}

unit OraSQLEditor;
{$ENDIF}

interface

uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls, Buttons, DBCtrls,
{$IFDEF DBTOOLS}
  DBToolsClient,
{$ENDIF}
{$IFDEF FPC}
  LResources,
{$ENDIF}
  DASQLComponentEditor, DASQLFrame, DAParamsFrame, DAMacrosFrame, DASPCallFrame, OraSPCallFrame,
  Db, DBAccess, Ora, OraError, OraParamsFrame, CREditor;

type
  TOraSQLEditorForm = class(TDASQLEditorForm)
  protected
    procedure DoInit; override;
    procedure DoError(E: Exception); override;

  public
    property SQL;

  end;

procedure DoError(Sender: TDASQLEditorForm; E: EOraError);

implementation

{$IFNDEF FPC}
{$R OraSQLEditor.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

{ TOraSQLEditorForm }

procedure TOraSQLEditorForm.DoInit;
begin
  FSQLFrame := AddTab(TDASQLFrame, shSQL) as TDASQLFrame;
  FParamsFrame := AddTab(TOraParamsFrame, shParameters) as TDAParamsFrame;
  FMacrosFrame := AddTab(TDAMacrosFrame, shMacros) as TDAMacrosFrame;
  FSPCallFrame := AddTab(TOraSPCallFrame, shGeneratorSPC) as TDASPCallFrame;

  inherited;
end;

procedure TOraSQLEditorForm.DoError(E: Exception);
begin
  if E is EOraError then
    {$IFDEF CLR}Devart.Odac.Design.{$ENDIF}OraSQLEditor.DoError(Self, EOraError(E))
  else
    inherited;
end;

procedure DoError(Sender: TDASQLEditorForm; E: EOraError);
begin
  Sender.ActivateFrame(Sender.SQLFrame);
{$IFDEF DBTOOLS}
  if Assigned(DBTools) and DBTools.HasDACSqlEditorFrame(Sender.SQLFrame.meSQL) then
    Sender.ActiveControl := DBTools.GetDACSqlEditorFrame(Sender.SQLFrame.meSQL)
  else
{$ENDIF}
    Sender.ActiveControl := Sender.SQLFrame.meSQL;
end;

end.
