
//////////////////////////////////////////////////
//  Oracle Data Access Components
//  Copyright  1998-2024 Devart. All right reserved.
//  OraStoredProc Editor
//////////////////////////////////////////////////

{$IFNDEF CLR}

{$I Odac.inc}

unit OraStoredProcEditor;
{$ENDIF}
interface
uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  Graphics, Controls, Forms, Dialogs, ComCtrls, StdCtrls, ExtCtrls, Buttons,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  SysUtils, DB, DASQLGenerator, Classes, DAStoredProcEditor, CRFrame;

type
  TOraStoredProcEditorForm = class(TDAStoredProcEditorForm)
  protected
    procedure DoInit; override;
    function GetFrameByInitProp: TCRFrame; override;
  public
    property StoredProc;
  end;

implementation

{$IFNDEF FPC}
{$R OraStoredProcEditor.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

uses
  DASQLFrame, DAPAramsFrame, DAMacrosFrame, DAUpdateSQLFrame, DASQLGeneratorFrame,
  DASPCallFrame, DADataTypeMapFrame, OraParamsFrame, OraSPCallFrame, DBAccess;

{ TOraStoredProcEditorForm }

procedure TOraStoredProcEditorForm.DoInit;
begin
  FSQLFrame := AddTab(TOraSPCallFrame, shSQL) as TDASQLFrame;
  FParamsFrame := AddTab(TOraParamsFrame, shParameters) as TDAParamsFrame;
  FMacrosFrame := AddTab(TDAMacrosFrame, shMacros) as TDAMacrosFrame;
  FSPCallFrame := AddTab(TOraSPCallFrame, shGeneratorSPC) as TDASPCallFrame;
  FUpdateSQLFrame := AddTab(TDAUpdateSQLFrame, shEditSQL) as TDAUpdateSQLFrame;
  FSQLGeneratorFrame := AddTab(TDASQLGeneratorFrame, shGenerator) as TDASQLGeneratorFrame;
  FDataTypeMapFrame := AddTab(GetDataTypeMapFrameClass, shDataTypeMap) as TDADataTypeMapFrame;
  FDataTypeMapFrame.FieldNameListAllowed := False;
  shGenerator.TabVisible := False;

  inherited;
end;

function TOraStoredProcEditorForm.GetFrameByInitProp: TCRFrame;
begin
  if InitialProperty = 'SQLLock' then begin
    FUpdateSQLFrame.SetStatementType(stLock);
    Result := FUpdateSQLFrame;
  end
  else
    Result := inherited GetFrameByInitProp;
end;

end.
