
//////////////////////////////////////////////////
//  Oracle Data Access Components
//  Copyright  1998-2024 Devart. All right reserved.
//  OraTable Editor
//////////////////////////////////////////////////

{$IFNDEF CLR}

{$I Odac.inc}

unit OraTableEditor;
{$ENDIF}
interface
uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, ExtCtrls, Buttons,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  DBAccess,
  CRFrame, DATableEditor, DATableSQLFrame, DADataTypeMapFrame, OraTableSQLFrame, DAConditionsFrame;

type
  TOraTableEditorForm = class(TDATableEditorForm)
  protected
    procedure DoInit; override;

    function GetSQLFrameClass: TDATableSQLFrameClass; override;
  end;

implementation

{$IFNDEF FPC}
{$R OraTableEditor.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

{ TOraTableEditorForm }

procedure TOraTableEditorForm.DoInit;
begin
  FDataTypeMapFrame := AddTab(GetDataTypeMapFrameClass, shDataTypeMap) as TDADataTypeMapFrame;
  FConditionsFrame := AddTab(TDAConditionsFrame, shConditions) as  TDAConditionsFrame;

  inherited;
end;

function TOraTableEditorForm.GetSQLFrameClass: TDATableSQLFrameClass;
begin
  Result := TOraTableSQLFrame;
end;

end.
